Subject: Re: CCL:DCD and software reuse (was Qmol: Molecular viewer for Windows)

From: "Jim Kress" <[email-masked]>
Date: Tue, 20 Mar 2001 01:13:51 -0500

>After all, if you are not going to commercialize your code, then why not
make it
>available to other scientists unconditionally?

Commercialization means different things to different people.  When someone
develops code that gives them a 'competitive advantage' in getting grant
money, they aren't inclined to distribute the code to others.  Isn't that
another form of 'commercialization'?

Jim

----- Original Message -----
From: "Warren DeLano" <[email-masked]>
To: <[email-masked]>
Sent: Monday, March 19, 2001 10:36 PM
Subject: CCL:DCD and software reuse (was Qmol: Molecular viewer for Windows)

> Konrad Hinsen wrote:
>
> > > I don't know what can be done to limit this (in my mind)
> > > needless duplication of effort.
> >
> > Open Source code would be an important first step. In fact, I do not
> > understand why this concept isn't standard for academic applications.
> > Much academic code is already free, so why not take the next step and
> > make it freely redistributable, also in modified form? And for those
> > academic packages that are not free, I seriously doubt that they are
> > in any sense profitable.
> >
>
> Some academic code is very profitable.  MSI and others make a living (or
should I
> say a killing?) off of academic packages that have been commercialized.  I
think
> the critical question is whether we as computational Scientists are happy
with this
> arrangement or whether we and our Science would benefit from more free
source code
> written by other scientists.  My guess is that the impact of significant
amounts of
> *reusable* source-code building blocks would be profound and world
changing.  At
> the very least, competition from open-source would force commercial
software
> developers to greatly improve the quality of their packages.
>
> I applaud the work Konrad has done in this direction with the MMTK
package.  My
> efforts to create a free professional-strength, interoperable, and
open-source
> molecular graphics/editing system (PyMOL) reflect this shared vision.  If
only more
> scientists/developers would do likewise with their projects!
>
> After all, if you are not going to commercialize your code, then why not
make it
> available to other scientists unconditionally?  Instead of allowing your
great work
> to languish on some back-up tape, please release it to the world and allow
it to be
> *modified* and *redistributed*.  By doing so, you will change the field
irrevocably
> and enable the next generation of computational research tools to be built
on
> *your* foundation.  As it stands, each of us is so busy pouring
foundations that we
> never get around to building cathedrals.  Let's change that.
>
> Thanks to the internet's exceedingly low distribution costs, and the
advent of
> modular, extensible scripting languages such as Perl and Python, you now
have no
> excuse other than vanity for allowing your good code to remain restricted
and
> unutilized.
>
> I propose initiating an effort to accumulate unrestricted computational
chemistry
> source-code into a single curated distribution, probably on a SourceForge
> instance.  This "Free Molecule Project" would require a significant number
of
> volunteers -- so I am going to float this trail balloon:    If you have
interest in
> such a project and would consider contributing, please email me directly.
Assuming
> there are enough interested parties, I'll set up a mailing list, and we
will start
> a discussion about how such a project might come together.
>
> - Warren
>
>
> --
> mailto:[email-masked]
> Warren L. DeLano, Ph.D.
> Informatics Scientist
> Sunesis Pharmaceuticals, Inc.
> 3696 Haven Ave., Suite C
> Redwood City, CA 94063
> (650)-562-3106 fax: (650)-556-8824
>
>
>
>
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To
Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
[email-masked]

---

From: Konrad Hinsen <[email-masked]>
Date: Tue, 20 Mar 2001 15:06:42 +0100

> My guess is that the impact of significant amounts of
> changing. At the very least, competition from open-source would
> force commercial software developers to greatly improve the quality
> of their packages.

I agree completely, but I wonder how many others do. After all, many
computational scientists do not do any development at all, but use
ready-to-run packages. I am convinced that more people *could* do
development (which can be as minor as combining two existing methods)
*if* the reusable building blocks were available, but they'd also have
to be aware of these building blocks and of their advantages.

> I propose initiating an effort to accumulate unrestricted
> computational chemistry source-code into a single curated
> distribution, probably on a SourceForge instance. This "Free

Some sort of coordination sounds like a very good idea. But I am not
sure if a single distribution would be that useful, given that most of
the existing Open Source packages are not interoperable and often
address very different user communities.

But it would be nice to have a catalogue of projects, and a discussion
forum to discuss improved interoperability etc. And SourceForge looks
like a good place, given its high visibility in the Open Source world.
So I support your proposition (and am ready to contribute), even if
I see the single distribution only as a far away goal for the moment.
-- 
-------------------------------------------------------------------------------
Konrad Hinsen                            | E-Mail: [email-masked]
Centre de Biophysique Moleculaire (CNRS) | Tel.: +33-2.38.25.56.24
Rue Charles Sadron                       | Fax:  +33-2.38.63.15.17
45071 Orleans Cedex 2                    | Deutsch/Esperanto/English/
France                                   | Nederlands/Francais
-------------------------------------------------------------------------------